/*demo*/

.printReportCloseButton {
    background: none;
    border: none;
    padding: 0;
    margin: 0;
}

.printReport {
    width: 100%;
    height:100%;
}

.printReportHeader {
    display: flex;
    flex-direction: column;
    gap: 32px;
    margin-bottom: 20px;
    text-align: left;
    align-items: flex-start;
    width: 100%;
}

.request_final_container .printReportContainer {
    display: flex; 
    align-items: flex-start;
    /*justify-content: flex-end;*/
    width: 100%;
    color: #455A64;
    gap: 32px;
    margin-bottom: 120px;
}

.request_final_container .printReportContainer .printReportCol1 {
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    flex-flow: column;
    gap: 5px;
}

.request_final_container .printReportContainer .printReportCol2 {
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    flex-flow: column;
    gap: 5px;
}

.printReport h2 {
    color: #455A64;
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.request_final_container .printReportContent {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    min-height: 65px;
    font-size: 16px;
    margin-bottom: 10px;
}

.request_groupe_texte {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    width: 100%;
}

.printReportContent{
    display: flex;
    justify-content: flex-start;
    font-size: 16px;
    margin-bottom: 10px;
}

.printReport .strong {
    font-weight: 500;
}

.printReportImg {
    width: 140px;
}

.requestFinal-footer {
    border-top: 1px solid var(--Blue-Gray-200, #B0BEC5);
    background-color:#fff;
    height: 40px;
    padding-top:10px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: sticky;
    bottom: 0;
    width: 100%;
    left: 0;
    
}


.requestFinal-footer button{
        padding:5px 10px;
        transition:150ms;
}


.requestFinal-footer button:hover{
    background:#2f40cd10;
    transition:150ms;
    border-radius:8px;
    color: #2f40cd !important;
}

.print_btnContainer {
    display: flex;
    gap: 5px;
    align-items: center;
    margin-left: -10px;
    margin-bottom: 10px;
    margin-top: 10px;
}

.iconBtn {
    border: none;
    background: none;
    margin: 0;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.iconBtn:hover {
    background-color: #eee;
    transition: 100ms;
}

.iconBtn img {
    width: 30px;
    height: 30px;
}


.formEvaluate-modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #ffffff;
    z-index: 9999;
    width: 90%;
    box-shadow: 0px 8px 16px 5px rgba(0, 0, 0, 0.15);
    border-radius: 12px;
}

.print_logo {
    margin-bottom: 40px;
}

.print_logo img {
    float: right;
    width: 172px;
    height: auto;
}

.emptyspace {
    width: auto;
    height: auto;
}
/* ex-600px */
@media only screen and (max-width: 1023px) {
    
    .printReportContainer{
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        justify-content: flex-start;
        gap:2px;
        width: 100%;
        font-size: 16px;
        margin-bottom: 10px;
    }

    .printReportCol1, .printReportCol2{
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        justify-content: flex-start;
        gap:2px;
        font-size: 16px;
        margin-bottom: 10px;
    }

    .printReportContent{
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        justify-content: flex-start;
        gap:2px;
        font-size: 16px;
        margin-bottom: 10px;
    }

    .secondcolumnPrint{
        width: 100%;
        text-align: right;
        border-bottom: solid rgb(233, 233, 233);
    }

}


/* Pour régler un décalage du contenu, sur Google, quand on veut imprimer le ticket en version pdf. Correctif ciblant les navigateurs basés sur Blink/Webkit/(google?) récents, sinon firefox prend aussi la règle alors qu'il ne décale pas le contenu lui */
@supports (-webkit-appearance: none) and (not (-moz-appearance: none)) and (not (-ms-high-contrast: none)) {
    .request_body_leftside {
      margin-left: auto;
    }
  }
  